## praat 6.0.32

=== FFNet/Makefile ===
# Makefile of the library "FFNet"
# David Weenink and Paul Boersma, 8 August 2017

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../sys -I ../dwtools -I ../fon -I ../dwsys -I ../stat -I ../gram

OBJECTS = FFNet.o \
	FFNet_Eigen.o FFNet_Matrix.o FFNet_PatternList.o \
	FFNet_ActivationList_Categories.o FFNet_PatternList_ActivationList.o \
	FFNet_PatternList_Categories.o RBM_extensions.o \
	praat_FFNet_init.o manual_FFNet.o

.PHONY: all clean

all: libFFNet.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libFFNet.a

libFFNet.a: $(OBJECTS)
	touch libFFNet.a
	rm libFFNet.a
	$(AR) cq libFFNet.a $(OBJECTS)
	$(RANLIB) libFFNet.a

$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../dwtools/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../gram/*.h

=== dwsys/Makefile ===
# makefile for library "dwsys".
# David Weenink 20170531
# Paul Boersma 2017-08-08

include ../makefile.defs

CPPFLAGS =  -I ../stat -I ../sys -I ../external/gsl -I ../kar

all: libdwsys.a

OBJECTS = Collection_extensions.o Command.o \
	DoublyLinkedList.o Eigen.o FileInMemory.o Graphics_extensions.o Index.o \
	NUM2.o NUMhuber.o NUMlapack.o NUMmachar.o \
	NUMf2c.o NUMcblas.o NUMclapack.o NUMcomplex.o NUMfft_d.o NUMsort2.o \
	NUMmathlib.o NUMstring.o \
	Permutation.o Permutation_and_Index.o \
	regularExp.o SimpleVector.o Simple_extensions.o \
	SVD.o

.PHONY: all clean

all: libdwsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwsys.a

libdwsys.a: $(OBJECTS) NUMmachar.o
	touch libdwsys.a
	rm libdwsys.a
	$(AR) cq libdwsys.a $(OBJECTS)
	$(RANLIB) libdwsys.a

$(OBJECTS): *.h ../stat/*.h ../sys/*.h ../external/gsl/*.h ../dwsys/*.h ../kar/*.h

=== dwtools/Makefile ===
# Makefile of the library "dwtools"
# David Weenink and Paul Boersma
# 8 August 2017

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../EEG -I ../kar

OBJECTS = ActivationList.o AffineTransform.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
	Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o  DataModeler.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_PatternList_Categories.o \
	EditDistanceTable.o EEG_extensions.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o\
	Eigen_and_SSCP.o Excitations.o \
	FilterBank.o FormantGrid_extensions.o \
	GaussianMixture.o  \
	HMM.o \
	ICA.o Intensity_extensions.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridEditors.o KlattTable.o \
	Ltas_extensions.o \
	MFCC.o \
	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o MixingMatrix.o \
	Matrix_extensions.o \
	Matrix_Categories.o MDS.o \
	OptimalCeilingTier.o OptimalCeilingTierEditor.o \
	PatternList.o PCA.o \
	Pitch_extensions.o Polynomial.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o \
	Resonator.o \
	Sound_and_MixingMatrix.o \
	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o Sound_extensions.o \
	Sound_to_MFCC.o Sounds_to_DTW.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrogram_extensions.o Spectrum_extensions.o SSCP.o Strings_extensions.o \
	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o\
	Table_extensions.o TableOfReal_and_SVD.o\
	TableOfReal_extensions.o \
	TableOfReal_and_Permutation.o \
	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
	VowelEditor.o \
	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
	praat_KlattGrid_init.o praat_DataModeler_init.o praat_David_init.o

.PHONY: all clean

all: libdwtools.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwtools.a

libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	$(AR) cq libdwtools.a $(OBJECTS)
	$(RANLIB) libdwtools.a

$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h ../external/espeak/*.h

=== fon/Makefile ===
# Makefile of the library "fon"
# Paul Boersma, 8 August 2017

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3

OBJECTS = Transition.o Distributions_and_Transition.o \
   Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
   Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
   Sound.o LongSound.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
   Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
   Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
   Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \
   PitchTier.o Pitch_to_PitchTier.o PitchTier_to_PointProcess.o PitchTier_to_Sound.o Manipulation.o \
   Pitch_AnyTier_to_PitchTier.o IntensityTier.o DurationTier.o AmplitudeTier.o \
   Spectrum.o Ltas.o Spectrogram.o SpectrumTier.o Ltas_to_SpectrumTier.o \
   Formant.o Image.o Sound_to_Formant.o Sound_and_Spectrogram.o \
   Sound_and_Spectrum.o Spectrum_and_Spectrogram.o Spectrum_to_Formant.o \
   FormantTier.o TextGrid.o TextGrid_Sound.o Label.o FormantGrid.o \
   Excitation.o Cochleagram.o Cochleagram_and_Excitation.o Excitation_to_Formant.o \
   Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
   VocalTract.o VocalTract_to_Spectrum.o \
   SoundRecorder.o Sound_enhance.o VoiceAnalysis.o \
   FunctionEditor.o TimeSoundEditor.o TimeSoundAnalysisEditor.o \
   PitchEditor.o SoundEditor.o SpectrumEditor.o SpectrogramEditor.o PointEditor.o \
   RealTierEditor.o PitchTierEditor.o IntensityTierEditor.o \
   DurationTierEditor.o AmplitudeTierEditor.o \
   ManipulationEditor.o TextGridEditor.o FormantGridEditor.o \
   WordList.o SpellingChecker.o \
   FujisakiPitch.o \
   ExperimentMFC.o RunnerMFC.o manual_ExperimentMFC.o praat_ExperimentMFC.o \
   Photo.o Movie.o MovieWindow.o \
   Corpus.o \
   manual_Picture.o manual_Manual.o manual_Script.o \
   manual_soundFiles.o manual_tutorials.o manual_references.o \
   manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
   manual_glossary.o manual_Sampling.o manual_exampleSound.o \
   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o manual_annotation.o \
   praat_TimeFunction.o praat_TimeTier.o praat_TimeFrameSampled.o \
   praat_Sound.o praat_Matrix.o praat_Tiers.o praat_TextGrid_init.o praat_Fon.o

.PHONY: all clean

all: libfon.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libfon.a

libfon.a: $(OBJECTS)
	touch libfon.a
	rm libfon.a
	$(AR) cq libfon.a $(OBJECTS)
	$(RANLIB) libfon.a

$(OBJECTS): *.h ../external/portaudio/*.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== gram/Makefile ===
# Makefile of the library "gram"
# Paul Boersma, 8 August 2017

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon

OBJECTS = Network.o \
   OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
   OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o \
   OTMulti_ex_metrics.o RBM.o

.PHONY: all clean

all: libgram.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libgram.a

libgram.a: $(OBJECTS)
	touch libgram.a
	rm libgram.a
	$(AR) cq libgram.a $(OBJECTS)
	$(RANLIB) libgram.a

$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h

=== external/espeak/Makefile ===
# makefile for libespeak

include ../../makefile.defs

CPPFLAGS = -I ../../kar -I ../../sys -I ../../dwsys -I ../../stat

OBJECTS =  compiledict.o dictionary.o intonation.o klatt.o  \
	numbers.o phonemelist.o readclause.o setlengths.o  \
	sonic.o speak_lib.o synthdata.o synthesize.o  \
	synth_mbrola.o tr_languages.o translate.o voices.o wavegen.o \
	espeakdata_phons.o espeakdata_dicts.o espeakdata_voices.o espeakdata_variants.o \
	espeakdata_FileInMemory.o

.PHONY: all clean

all: libespeak.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libespeak.a

libespeak.a: $(OBJECTS)
	touch libespeak.a
	rm libespeak.a
	$(AR) cq libespeak.a $(OBJECTS)
	$(RANLIB) libespeak.a

$(OBJECTS):  *.h ../../kar/*.h ../../sys/*.h ../../dwsys/*.h ../../stat/*.h

=== external/gsl/Makefile ===
# Makefile for library gsl. This file was generated by the program flatten_gsl.py
# David Weenink, 22 February 2010
# Paul Boersma 2017-08-08: brought dependencies in line with include directories

include ../../makefile.defs

CPPFLAGS = -I ../../sys -I ../../dwsys

OBJECTS = gsl_blas__blas.o gsl_block__block.o gsl_block__file.o \
   gsl_block__init.o gsl_bspline__bspline.o gsl_cblas__caxpy.o \
   gsl_cblas__ccopy.o gsl_cblas__cdotc_sub.o gsl_cblas__cdotu_sub.o \
   gsl_cblas__cgbmv.o gsl_cblas__cgemm.o gsl_cblas__cgemv.o \
   gsl_cblas__cgerc.o gsl_cblas__cgeru.o gsl_cblas__chbmv.o \
   gsl_cblas__chemm.o gsl_cblas__chemv.o gsl_cblas__cher.o \
   gsl_cblas__cher2.o gsl_cblas__cher2k.o gsl_cblas__cherk.o \
   gsl_cblas__chpmv.o gsl_cblas__chpr.o gsl_cblas__chpr2.o \
   gsl_cblas__cscal.o gsl_cblas__csscal.o gsl_cblas__cswap.o \
   gsl_cblas__csymm.o gsl_cblas__csyr2k.o gsl_cblas__csyrk.o \
   gsl_cblas__ctbmv.o gsl_cblas__ctbsv.o gsl_cblas__ctpmv.o \
   gsl_cblas__ctpsv.o gsl_cblas__ctrmm.o gsl_cblas__ctrmv.o \
   gsl_cblas__ctrsm.o gsl_cblas__ctrsv.o gsl_cblas__dasum.o \
   gsl_cblas__daxpy.o gsl_cblas__dcopy.o gsl_cblas__ddot.o \
   gsl_cblas__dgbmv.o gsl_cblas__dgemm.o gsl_cblas__dgemv.o \
   gsl_cblas__dger.o gsl_cblas__dnrm2.o gsl_cblas__drot.o \
   gsl_cblas__drotg.o gsl_cblas__drotm.o gsl_cblas__drotmg.o \
   gsl_cblas__dsbmv.o gsl_cblas__dscal.o gsl_cblas__dsdot.o \
   gsl_cblas__dspmv.o gsl_cblas__dspr.o gsl_cblas__dspr2.o \
   gsl_cblas__dswap.o gsl_cblas__dsymm.o gsl_cblas__dsymv.o \
   gsl_cblas__dsyr.o gsl_cblas__dsyr2.o gsl_cblas__dsyr2k.o \
   gsl_cblas__dsyrk.o gsl_cblas__dtbmv.o gsl_cblas__dtbsv.o \
   gsl_cblas__dtpmv.o gsl_cblas__dtpsv.o gsl_cblas__dtrmm.o \
   gsl_cblas__dtrmv.o gsl_cblas__dtrsm.o gsl_cblas__dtrsv.o \
   gsl_cblas__dzasum.o gsl_cblas__dznrm2.o gsl_cblas__icamax.o \
   gsl_cblas__idamax.o gsl_cblas__isamax.o gsl_cblas__izamax.o \
   gsl_cblas__sasum.o gsl_cblas__saxpy.o gsl_cblas__scasum.o \
   gsl_cblas__scnrm2.o gsl_cblas__scopy.o gsl_cblas__sdot.o \
   gsl_cblas__sdsdot.o gsl_cblas__sgbmv.o gsl_cblas__sgemm.o \
   gsl_cblas__sgemv.o gsl_cblas__sger.o gsl_cblas__snrm2.o \
   gsl_cblas__srot.o gsl_cblas__srotg.o gsl_cblas__srotm.o \
   gsl_cblas__srotmg.o gsl_cblas__ssbmv.o gsl_cblas__sscal.o \
   gsl_cblas__sspmv.o gsl_cblas__sspr.o gsl_cblas__sspr2.o \
   gsl_cblas__sswap.o gsl_cblas__ssymm.o gsl_cblas__ssymv.o \
   gsl_cblas__ssyr.o gsl_cblas__ssyr2.o gsl_cblas__ssyr2k.o \
   gsl_cblas__ssyrk.o gsl_cblas__stbmv.o gsl_cblas__stbsv.o \
   gsl_cblas__stpmv.o gsl_cblas__stpsv.o gsl_cblas__strmm.o \
   gsl_cblas__strmv.o gsl_cblas__strsm.o gsl_cblas__strsv.o \
   gsl_cblas__xerbla.o gsl_cblas__zaxpy.o gsl_cblas__zcopy.o \
   gsl_cblas__zdotc_sub.o gsl_cblas__zdotu_sub.o gsl_cblas__zdscal.o \
   gsl_cblas__zgbmv.o gsl_cblas__zgemm.o gsl_cblas__zgemv.o \
   gsl_cblas__zgerc.o gsl_cblas__zgeru.o gsl_cblas__zhbmv.o \
   gsl_cblas__zhemm.o gsl_cblas__zhemv.o gsl_cblas__zher.o \
   gsl_cblas__zher2.o gsl_cblas__zher2k.o gsl_cblas__zherk.o \
   gsl_cblas__zhpmv.o gsl_cblas__zhpr.o gsl_cblas__zhpr2.o \
   gsl_cblas__zscal.o gsl_cblas__zswap.o gsl_cblas__zsymm.o \
   gsl_cblas__zsyr2k.o gsl_cblas__zsyrk.o gsl_cblas__ztbmv.o \
   gsl_cblas__ztbsv.o gsl_cblas__ztpmv.o gsl_cblas__ztpsv.o \
   gsl_cblas__ztrmm.o gsl_cblas__ztrmv.o gsl_cblas__ztrsm.o \
   gsl_cblas__ztrsv.o gsl_cdf__beta.o gsl_cdf__betainv.o \
   gsl_cdf__binomial.o gsl_cdf__cauchy.o gsl_cdf__cauchyinv.o \
   gsl_cdf__chisq.o gsl_cdf__chisqinv.o gsl_cdf__exponential.o \
   gsl_cdf__exponentialinv.o gsl_cdf__exppow.o gsl_cdf__fdist.o \
   gsl_cdf__fdistinv.o gsl_cdf__flat.o gsl_cdf__flatinv.o \
   gsl_cdf__gamma.o gsl_cdf__gammainv.o gsl_cdf__gauss.o \
   gsl_cdf__gaussinv.o gsl_cdf__geometric.o gsl_cdf__gumbel1.o \
   gsl_cdf__gumbel1inv.o gsl_cdf__gumbel2.o gsl_cdf__gumbel2inv.o \
   gsl_cdf__hypergeometric.o gsl_cdf__laplace.o gsl_cdf__laplaceinv.o \
   gsl_cdf__logistic.o gsl_cdf__logisticinv.o gsl_cdf__lognormal.o \
   gsl_cdf__lognormalinv.o gsl_cdf__nbinomial.o gsl_cdf__pareto.o \
   gsl_cdf__paretoinv.o gsl_cdf__pascal.o gsl_cdf__poisson.o \
   gsl_cdf__rayleigh.o gsl_cdf__rayleighinv.o gsl_cdf__tdist.o \
   gsl_cdf__tdistinv.o gsl_cdf__weibull.o gsl_cdf__weibullinv.o \
   gsl_combination__combination.o gsl_combination__file.o gsl_combination__init.o \
   gsl_complex__math.o gsl_deriv__deriv.o gsl_dht__dht.o \
   gsl_diff__diff.o gsl_eigen__francis.o gsl_eigen__gen.o \
   gsl_eigen__genherm.o gsl_eigen__genhermv.o gsl_eigen__gensymm.o \
   gsl_eigen__gensymmv.o gsl_eigen__genv.o gsl_eigen__herm.o \
   gsl_eigen__hermv.o gsl_eigen__jacobi.o gsl_eigen__nonsymm.o \
   gsl_eigen__nonsymmv.o gsl_eigen__schur.o gsl_eigen__sort.o \
   gsl_eigen__symm.o gsl_eigen__symmv.o gsl_err__error.o \
   gsl_err__message.o gsl_err__stream.o gsl_err__strerror.o \
   gsl_fft__dft.o gsl_fft__fft.o gsl_fft__signals.o \
   gsl_fit__linear.o gsl_histogram__add.o gsl_histogram__add2d.o \
   gsl_histogram__calloc_range.o gsl_histogram__calloc_range2d.o gsl_histogram__copy.o \
   gsl_histogram__copy2d.o gsl_histogram__file.o gsl_histogram__file2d.o \
   gsl_histogram__get.o gsl_histogram__get2d.o gsl_histogram__init.o \
   gsl_histogram__init2d.o gsl_histogram__maxval.o gsl_histogram__maxval2d.o \
   gsl_histogram__oper.o gsl_histogram__oper2d.o gsl_histogram__params.o \
   gsl_histogram__params2d.o gsl_histogram__pdf.o gsl_histogram__pdf2d.o \
   gsl_histogram__reset.o gsl_histogram__reset2d.o gsl_histogram__stat.o \
   gsl_histogram__stat2d.o gsl_ieee-utils__env.o gsl_ieee-utils__fp.o \
   gsl_ieee-utils__make_rep.o gsl_ieee-utils__print.o gsl_ieee-utils__read.o \
   gsl_integration__qag.o gsl_integration__qagp.o gsl_integration__qags.o \
   gsl_integration__qawc.o gsl_integration__qawf.o gsl_integration__qawo.o \
   gsl_integration__qaws.o gsl_integration__qcheb.o gsl_integration__qk.o \
   gsl_integration__qk15.o gsl_integration__qk21.o gsl_integration__qk31.o \
   gsl_integration__qk41.o gsl_integration__qk51.o gsl_integration__qk61.o \
   gsl_integration__qmomo.o gsl_integration__qmomof.o gsl_integration__qng.o \
   gsl_integration__workspace.o gsl_linalg__balance.o gsl_linalg__balancemat.o \
   gsl_linalg__bidiag.o gsl_linalg__cholesky.o gsl_linalg__choleskyc.o \
   gsl_linalg__exponential.o gsl_linalg__hermtd.o gsl_linalg__hessenberg.o \
   gsl_linalg__hesstri.o gsl_linalg__hh.o gsl_linalg__householder.o \
   gsl_linalg__householdercomplex.o gsl_linalg__lq.o gsl_linalg__lu.o \
   gsl_linalg__luc.o gsl_linalg__multiply.o gsl_linalg__ptlq.o \
   gsl_linalg__qr.o gsl_linalg__qrpt.o gsl_linalg__svd.o \
   gsl_linalg__symmtd.o gsl_linalg__tridiag.o gsl_matrix__copy.o \
   gsl_matrix__file.o gsl_matrix__getset.o gsl_matrix__init.o \
   gsl_matrix__matrix.o gsl_matrix__minmax.o gsl_matrix__oper.o \
   gsl_matrix__prop.o gsl_matrix__rowcol.o gsl_matrix__submatrix.o \
   gsl_matrix__swap.o gsl_matrix__view.o gsl_min__bracketing.o \
   gsl_min__brent.o gsl_min__convergence.o gsl_min__fsolver.o \
   gsl_min__golden.o gsl_monte__miser.o gsl_monte__plain.o \
   gsl_monte__vegas.o gsl_multifit__convergence.o gsl_multifit__covar.o \
   gsl_multifit__fdfsolver.o gsl_multifit__fsolver.o gsl_multifit__gradient.o \
   gsl_multifit__lmder.o gsl_multifit__multilinear.o gsl_multifit__work.o \
   gsl_multimin__conjugate_fr.o gsl_multimin__conjugate_pr.o gsl_multimin__convergence.o \
   gsl_multimin__diff.o gsl_multimin__fdfminimizer.o gsl_multimin__fminimizer.o \
   gsl_multimin__simplex.o gsl_multimin__steepest_descent.o gsl_multimin__vector_bfgs.o \
   gsl_multimin__vector_bfgs2.o gsl_multiroots__broyden.o gsl_multiroots__convergence.o \
   gsl_multiroots__dnewton.o gsl_multiroots__fdfsolver.o gsl_multiroots__fdjac.o \
   gsl_multiroots__fsolver.o gsl_multiroots__gnewton.o gsl_multiroots__hybrid.o \
   gsl_multiroots__hybridj.o gsl_multiroots__newton.o gsl_ntuple__ntuple.o \
   gsl_ode-initval__bsimp.o gsl_ode-initval__control.o gsl_ode-initval__cscal.o \
   gsl_ode-initval__cstd.o gsl_ode-initval__evolve.o gsl_ode-initval__gear1.o \
   gsl_ode-initval__gear2.o gsl_ode-initval__rk2.o gsl_ode-initval__rk2imp.o \
   gsl_ode-initval__rk2simp.o gsl_ode-initval__rk4.o gsl_ode-initval__rk4imp.o \
   gsl_ode-initval__rk8pd.o gsl_ode-initval__rkck.o gsl_ode-initval__rkf45.o \
   gsl_ode-initval__step.o gsl_permutation__canonical.o gsl_permutation__file.o \
   gsl_permutation__init.o gsl_permutation__permutation.o gsl_permutation__permute.o \
   gsl_poly__dd.o gsl_poly__eval.o gsl_poly__solve_cubic.o \
   gsl_poly__solve_quadratic.o gsl_poly__zsolve.o gsl_poly__zsolve_cubic.o \
   gsl_poly__zsolve_init.o gsl_poly__zsolve_quadratic.o gsl_qrng__niederreiter-2.o \
   gsl_qrng__qrng.o gsl_qrng__sobol.o gsl_randist__bernoulli.o \
   gsl_randist__beta.o gsl_randist__bigauss.o gsl_randist__binomial.o \
   gsl_randist__binomial_tpe.o gsl_randist__cauchy.o gsl_randist__chisq.o \
   gsl_randist__dirichlet.o gsl_randist__discrete.o gsl_randist__erlang.o \
   gsl_randist__exponential.o gsl_randist__exppow.o gsl_randist__fdist.o \
   gsl_randist__flat.o gsl_randist__gamma.o gsl_randist__gauss.o \
   gsl_randist__gausstail.o gsl_randist__gausszig.o gsl_randist__geometric.o \
   gsl_randist__gumbel.o gsl_randist__hyperg.o gsl_randist__landau.o \
   gsl_randist__laplace.o gsl_randist__levy.o gsl_randist__logarithmic.o \
   gsl_randist__logistic.o gsl_randist__lognormal.o gsl_randist__multinomial.o \
   gsl_randist__nbinomial.o gsl_randist__pareto.o gsl_randist__pascal.o \
   gsl_randist__poisson.o gsl_randist__rayleigh.o gsl_randist__shuffle.o \
   gsl_randist__sphere.o gsl_randist__tdist.o gsl_randist__weibull.o \
   gsl_rng__borosh13.o gsl_rng__cmrg.o gsl_rng__coveyou.o \
   gsl_rng__default.o gsl_rng__file.o gsl_rng__fishman18.o \
   gsl_rng__fishman20.o gsl_rng__fishman2x.o gsl_rng__gfsr4.o \
   gsl_rng__knuthran.o gsl_rng__knuthran2.o gsl_rng__knuthran2002.o \
   gsl_rng__lecuyer21.o gsl_rng__minstd.o gsl_rng__mrg.o \
   gsl_rng__mt.o gsl_rng__r250.o gsl_rng__ran0.o \
   gsl_rng__ran1.o gsl_rng__ran2.o gsl_rng__ran3.o \
   gsl_rng__rand.o gsl_rng__rand48.o gsl_rng__random.o \
   gsl_rng__randu.o gsl_rng__ranf.o gsl_rng__ranlux.o \
   gsl_rng__ranlxd.o gsl_rng__ranlxs.o gsl_rng__ranmar.o \
   gsl_rng__rng.o gsl_rng__slatec.o gsl_rng__taus.o \
   gsl_rng__taus113.o gsl_rng__transputer.o gsl_rng__tt.o \
   gsl_rng__types.o gsl_rng__uni.o gsl_rng__uni32.o \
   gsl_rng__vax.o gsl_rng__waterman14.o gsl_rng__zuf.o \
   gsl_roots__bisection.o gsl_roots__brent.o gsl_roots__convergence.o \
   gsl_roots__falsepos.o gsl_roots__fdfsolver.o gsl_roots__fsolver.o \
   gsl_roots__newton.o gsl_roots__secant.o gsl_roots__steffenson.o \
   gsl_siman__siman.o gsl_sort__sort.o gsl_sort__sortind.o \
   gsl_sort__sortvec.o gsl_sort__sortvecind.o gsl_sort__subset.o \
   gsl_sort__subsetind.o gsl_specfunc__airy.o gsl_specfunc__airy_der.o \
   gsl_specfunc__airy_zero.o gsl_specfunc__atanint.o gsl_specfunc__bessel.o \
   gsl_specfunc__bessel_I0.o gsl_specfunc__bessel_I1.o gsl_specfunc__bessel_In.o \
   gsl_specfunc__bessel_Inu.o gsl_specfunc__bessel_J0.o gsl_specfunc__bessel_J1.o \
   gsl_specfunc__bessel_Jn.o gsl_specfunc__bessel_Jnu.o gsl_specfunc__bessel_K0.o \
   gsl_specfunc__bessel_K1.o gsl_specfunc__bessel_Kn.o gsl_specfunc__bessel_Knu.o \
   gsl_specfunc__bessel_Y0.o gsl_specfunc__bessel_Y1.o gsl_specfunc__bessel_Yn.o \
   gsl_specfunc__bessel_Ynu.o gsl_specfunc__bessel_amp_phase.o gsl_specfunc__bessel_i.o \
   gsl_specfunc__bessel_j.o gsl_specfunc__bessel_k.o gsl_specfunc__bessel_olver.o \
   gsl_specfunc__bessel_sequence.o gsl_specfunc__bessel_temme.o gsl_specfunc__bessel_y.o \
   gsl_specfunc__bessel_zero.o gsl_specfunc__beta.o gsl_specfunc__beta_inc.o \
   gsl_specfunc__clausen.o gsl_specfunc__coulomb.o gsl_specfunc__coulomb_bound.o \
   gsl_specfunc__coupling.o gsl_specfunc__dawson.o gsl_specfunc__debye.o \
   gsl_specfunc__dilog.o gsl_specfunc__elementary.o gsl_specfunc__ellint.o \

=== debian/changelog ===
praat (6.0.32-1) unstable; urgency=medium

  * New upstream version 6.0.32
  * d/praat-open-files: Use Python 3
  * d/control:
    - Bump Standards-Version to 4.1.0 (no changes needed)
    - Depends on Python 3

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 21 Sep 2017 17:31:36 -0300

praat (6.0.31-1) unstable; urgency=medium

  * New upstream version 6.0.31
  * d/u/metadata: Update Contact field
  * d/p/tensor-h-filename.patch: Drop patch (applied upstream)
  * d/p/pangocairo-pkg-config.patch: Drop patch (applied upstream)
  * d/p/use-ldflags.patch: Refresh for new upstream version

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 24 Aug 2017 10:25:30 -0300

=== debian/control ===
Source: praat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               libasound2-dev,
               libgtk2.0-dev,
               xmlto,
               libpulse-dev
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/praat.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/praat.git
Homepage: http://www.praat.org

Package: praat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         oss-compat,
         python3
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the Praat

DEBDIR = $(CURDIR)/debian
INSTDIR = $(DEBDIR)/praat

PIXDIR = usr/share/pixmaps
SVGDIR = usr/share/icons/hicolor/scalable/apps
BINDIR = usr/bin
APPDIR = usr/share/applications

SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

get-upstream-changelog:
	# Get upstream changelog (in HTML format) and replace some characters
	# for correct display in the final ASCII file
	( cd debian ;							    \
	  wget -N http://www.fon.hum.uva.nl/praat/manual/What_s_new_.html ; \
	  perl -pi -e "s/&#712;/'/g;s/&#716;/,/g;" What_s_new_.html )

clean:
	dh clean
	# Fix the lacking cleaning command for the main/ directory
	[ ! -f makefile.defs ] || make -C main clean
	rm -f makefile.defs $(DEBDIR)/praat.dirs	\
		 $(DEBDIR)/praat.install		\
		 praat_nogui sendpraat			\
		 praat.1 praat_nogui.1			\
		 sendpraat.1 praat-open-files.1

override_dh_auto_clean:
	touch makefile.defs
	dh_auto_clean

override_dh_auto_configure:
	# Generate the debhelper files
	for i in dirs install ; do 				\
		$(SUBSTCMD) < $(DEBDIR)/$$i.in > $(DEBDIR)/praat.$$i ;	\
	done
	# Get rid of the
	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
	# warnings and useless dependencies
	sed 's/^LIBS = /& -Wl,--as-needed /'	\
		makefiles/makefile.defs.linux.pulse > makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs

%.1: $(DEBDIR)/%.dbk $(DEBDIR)/manpage.xsl
	# Generate the man page from the DocBook source
	xmlto -m $(DEBDIR)/manpage.xsl man $<

sendpraat: sys/sendpraat.c
	# Build the sendpraat program
	$(CC) $(shell dpkg-buildflags --get CPPFLAGS)		\
		$(shell dpkg-buildflags --get CFLAGS)		\
		$(shell dpkg-buildflags --get LDFLAGS)		\
		-Wl,--as-needed -std=gnu99 -DSTAND_ALONE -DUNIX	\
		-o sendpraat sys/sendpraat.c			\
		$(shell pkg-config --cflags --libs gtk+-2.0)

override_dh_auto_build: sendpraat praat.1 praat_nogui.1 sendpraat.1 praat-open-files.1
	dh_auto_build
	sed 's/^LIBS = /& -Wl,--as-needed /'	\
		makefiles/makefile.defs.linux.nogui > makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs
	rm -f sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\
		fon/FunctionEditor.o external/portaudio/*.o
	dh_auto_build

override_dh_auto_install:
	# Install the upstream changelog
	dh_installchangelogs debian/What_s_new_.html
	dh_auto_install -- INSTALL=

get-orig-source:
	uscan --verbose --force-download --repack-compression xz

## praat 6.0.37

=== Makefile ===
# File: Makefile

# Makefile for Praat.
# Paul Boersma, 22 October 2016

# System-dependent definitions of CC, LIBS, ICON and MAIN_ICON should be in
# makefile.defs, which has to be copied and renamed
# from a suitable makefile.defs.XXX file in the makefiles directory,
# Perhaps that file requires some editing.
include makefile.defs

.PHONY: all clean install

# Makes the Praat executable in the source directory.
all:
	$(MAKE) -C external/gsl
	$(MAKE) -C external/glpk
	$(MAKE) -C external/mp3
	$(MAKE) -C external/flac
	$(MAKE) -C external/portaudio
	$(MAKE) -C external/espeak
	$(MAKE) -C kar
	$(MAKE) -C num
	$(MAKE) -C sys
	$(MAKE) -C dwsys
	$(MAKE) -C stat
	$(MAKE) -C fon
	$(MAKE) -C dwtools
	$(MAKE) -C LPC
	$(MAKE) -C EEG
	$(MAKE) -C gram
	$(MAKE) -C FFNet
	$(MAKE) -C artsynth
	$(MAKE) -C contrib/ola
	$(MAKE) -C main main_Praat.o $(ICON)
	$(LINK) -o $(EXECUTABLE) main/main_Praat.o $(MAIN_ICON) fon/libfon.a \
		contrib/ola/libOla.a artsynth/libartsynth.a \
		FFNet/libFFNet.a gram/libgram.a EEG/libEEG.a \
		LPC/libLPC.a dwtools/libdwtools.a \
		fon/libfon.a stat/libstat.a dwsys/libdwsys.a \
		sys/libsys.a num/libnum.a kar/libkar.a \
		external/espeak/libespeak.a \
		external/portaudio/libportaudio.a \
		external/flac/libflac.a external/mp3/libmp3.a \
		external/glpk/libglpk.a external/gsl/libgsl.a \
		$(LIBS)

clean:
	$(MAKE) -C external/gsl clean
	$(MAKE) -C external/glpk clean
	$(MAKE) -C external/mp3 clean
	$(MAKE) -C external/flac clean
	$(MAKE) -C external/portaudio clean
	$(MAKE) -C external/espeak clean
	$(MAKE) -C kar clean
	$(MAKE) -C num clean
	$(MAKE) -C sys clean
	$(MAKE) -C dwsys clean
	$(MAKE) -C stat clean
	$(MAKE) -C fon clean
	$(MAKE) -C dwtools clean
	$(MAKE) -C LPC clean
	$(MAKE) -C EEG clean
	$(MAKE) -C gram clean
	$(MAKE) -C FFNet clean
	$(MAKE) -C artsynth clean
	$(MAKE) -C contrib/ola clean
	$(MAKE) -C main clean
	$(RM) praat

install:
	$(INSTALL)

=== EEG/Makefile ===
# Makefile of the library "EEG"
# Paul Boersma, 8 August 2017

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon

OBJECTS = EEG.o EEGWindow.o ERPTier.o ERP.o ERPWindow.o \
   praat_EEG.o manual_EEG.o

.PHONY: all clean

all: libEEG.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libEEG.a

libEEG.a: $(OBJECTS)
	touch libEEG.a
	rm libEEG.a
	$(AR) cq libEEG.a $(OBJECTS)
	$(RANLIB) libEEG.a

$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h

=== FFNet/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "FFNet"
-# David Weenink and Paul Boersma, 8 August 2017
+# David Weenink and Paul Boersma 2017-12-16
 
 include ../makefile.defs
 
@@ -8,7 +8,7 @@
 OBJECTS = FFNet.o \
 	FFNet_Eigen.o FFNet_Matrix.o FFNet_PatternList.o \
 	FFNet_ActivationList_Categories.o FFNet_PatternList_ActivationList.o \
-	FFNet_PatternList_Categories.o RBM_extensions.o \
+	FFNet_PatternList_Categories.o \
 	praat_FFNet_init.o manual_FFNet.o
 
 .PHONY: all clean

=== LPC/Makefile ===
# Makefile of the library "LPC"
# David Weenink and Paul Boersma 2017-08-08

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../dwtools -I ../fon -I ../sys -I ../dwsys -I ../stat

OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
	Cepstrogram.o \
	Formant_extensions.o LineSpectralFrequencies.o \
	LPC.o LPC_and_Cepstrumc.o LPC_and_Formant.o LPC_and_LFCC.o \
	LPC_and_LineSpectralFrequencies.o LPC_and_Polynomial.o \
	LPC_to_Spectrum.o  LPC_to_Spectrogram.o \
	LPC_and_Tube.o \
	Sound_and_LPC.o  Sound_and_LPC_robust.o \
	Sound_and_Cepstrum.o Tube.o \
	VocalTractTier.o \
	praat_LPC_init.o manual_LPC.o

.PHONY: all clean

all: libLPC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libLPC.a

libLPC.a: $(OBJECTS)
	touch libLPC.a
	rm libLPC.a
	$(AR) cq libLPC.a $(OBJECTS)
	$(RANLIB) libLPC.a

$(OBJECTS): *.h ../kar/*.h ../dwtools/*.h ../fon/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h

=== artsynth/Makefile ===
# Makefile of the library "artsynth"
# Paul Boersma, 8 August 2017

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../sys -I ../fon -I ../stat

OBJECTS = Speaker.o Articulation.o Artword.o \
     Art_Speaker.o Art_Speaker_to_VocalTract.o Artword_Speaker.o Artword_Speaker_Sound.o \
     Artword_Speaker_to_Sound.o Artword_to_Art.o \
     Delta.o Speaker_to_Delta.o Art_Speaker_Delta.o \
     ArtwordEditor.o praat_Artsynth.o manual_Artsynth.o

.PHONY: all clean

all: libartsynth.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libartsynth.a

libartsynth.a: $(OBJECTS)
	touch libartsynth.a
	rm libartsynth.a
	$(AR) cq libartsynth.a $(OBJECTS)
	$(RANLIB) libartsynth.a

$(OBJECTS): *.h ../kar/*.h ../sys/*.h ../fon/*.h ../stat/*.h

=== dwsys/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # makefile for library "dwsys".
-# David Weenink 20170531
+# David Weenink 20171019
 # Paul Boersma 2017-08-08
 
 include ../makefile.defs
@@ -9,7 +9,9 @@
 all: libdwsys.a
 
 OBJECTS = Collection_extensions.o Command.o \
-	DoublyLinkedList.o Eigen.o FileInMemory.o Graphics_extensions.o Index.o \
+	DoublyLinkedList.o Eigen.o \
+	FileInMemory.o FileInMemorySet.o FileInMemoryManager.o\
+	Graphics_extensions.o Index.o \
 	NUM2.o NUMhuber.o NUMlapack.o NUMmachar.o \
 	NUMf2c.o NUMcblas.o NUMclapack.o NUMcomplex.o NUMfft_d.o NUMsort2.o \
 	NUMmathlib.o NUMstring.o \

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 8 August 2017
+# 21 September 2017
 
 include ../makefile.defs

=== fon/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3
+CPPFLAGS = -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak
 
 OBJECTS = Transition.o Distributions_and_Transition.o \
    Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \

=== gram/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "gram"
-# Paul Boersma, 8 August 2017
+# Paul Boersma 2017-12-16
 
 include ../makefile.defs
 
@@ -8,7 +8,7 @@
 OBJECTS = Network.o \
    OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
    OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o \
-   OTMulti_ex_metrics.o RBM.o
+   OTMulti_ex_metrics.o Layer.o Net.o
 
 .PHONY: all clean

=== kar/Makefile ===
# Makefile of the library "kar"
# Paul Boersma, 5 October 2017

include ../makefile.defs

OBJECTS = ipaSerifRegularPS.o longchar.o

CPPFLAGS = -I ../sys

.PHONY: all clean

all: libkar.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libkar.a

libkar.a: $(OBJECTS)
	touch libkar.a
	rm libkar.a
	$(AR) cq libkar.a $(OBJECTS)
	$(RANLIB) libkar.a

$(OBJECTS): *.h ../sys/*.h

=== main/Makefile ===
# Makefile of the 'main' routines.
# Paul Boersma, 8 August 2017

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../sys -I ../fon

.PHONY: clean

main_*.o: ../sys/praat.h ../sys/praat_version.h ../sys/Graphics.h

clean:
	$(RM) main_*.o
	$(RM) praat_win.o

# The following is only for Windows.

praat_win.o: praat_win.rc
	$(WINDRES) -o praat_win.o praat_win.rc

=== num/Makefile ===
# Makefile of the library "num"
# Paul Boersma, 8 August 2017

include ../makefile.defs

CPPFLAGS = -I ../external/gsl -I ../external/glpk -I ../sys -I ../dwsys

OBJECTS = NUM.o NUMarrays.o NUMrandom.o NUMsort.o NUMear.o NUMlinprog.o

.PHONY: all clean

all: libnum.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libnum.a

libnum.a: $(OBJECTS)
	touch libnum.a
	rm libnum.a
	$(AR) cq libnum.a $(OBJECTS)
	$(RANLIB) libnum.a

$(OBJECTS): ../external/gsl/*.h ../external/glpk/*.h ../sys/*.h ../dwsys/*.h

=== debian/changelog ===
praat (6.0.37-2) unstable; urgency=medium

  * d/t/run-tests: Drop unit tests that fail on s390x (Closes: #889703)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 07 Feb 2018 22:42:49 -0200

praat (6.0.37-1) unstable; urgency=medium

  * New upstream version 6.0.37
  * Drop patches (applied upstream):
    + d/p/fix-gsl-unit-test.patch
    + d/p/espeak-big-endian.patch
  * d/copyright: Reflect upstream changes
  * d/t/run-tests: Skip unit tests resample48_8 and ba-da-continuum

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 04 Feb 2018 12:55:36 -0200

praat (6.0.36-5) unstable; urgency=medium

  * d/t/run-tests: Add num/fisherQ.praat back to the list of excluded tests

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 28 Jan 2018 07:47:27 -0200

praat (6.0.36-4) unstable; urgency=medium

  * d/p/espeak-big-endian.patch: Improve patch
  * d/t/run-tests: Avoid failing tests (Closes: #887685)
  * Use debhelper compat level 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 27 Jan 2018 20:30:42 -0200

praat (6.0.36-3) unstable; urgency=medium

  * d/p/espeak-big-endian.patch: Refresh patch.
    Add patch for file create_espeak_ng_FileInMemorySet.cpp, which
    contains the phondata-manifest in-memory file.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 30 Nov 2017 07:03:39 -0200

praat (6.0.36-2) unstable; urgency=medium

  * d/p/espeak-big-endian.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 29 Nov 2017 18:09:50 -0200

praat (6.0.36-1) unstable; urgency=medium

  * New upstream version 6.0.36
  * Drop patches (applied upstream):
    + d/p/fix-pca-unit-test.patch
    + d/p/fix-polynomial-unit-test.patch
    + d/p/fix-procrustes-unit-test.patch
  * d/p/use-ldflags.patch: Refresh for new upstream version

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 17 Nov 2017 19:55:14 -0200

praat (6.0.35-4) unstable; urgency=medium

  * d/p/fix-gsl-unit-test.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Oct 2017 20:17:59 -0200

praat (6.0.35-3) unstable; urgency=medium

  * d/rules: Add -ffloat-store compiler option when building on i386

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Oct 2017 03:53:02 -0200

praat (6.0.35-2) unstable; urgency=medium

  * d/t/run-tests: Skip unit test fisherQ.praat (Closes: #878746)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Oct 2017 06:57:27 -0200

praat (6.0.35-1) unstable; urgency=medium

  * New upstream version 6.0.35
  * d/control: Limit the architectures for the binary package.
    Avoid architectures on which sizeof(long double) < 12.  This is not
    accepted by Praat.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Oct 2017 05:11:30 -0200

praat (6.0.34-1) unstable; urgency=medium

  * New upstream version 6.0.34
  * d/p/logis-reg-test-typo.patch: Drop patch (applied upstream)
  * New patches (fix unit test failures):
    + d/p/fix-polynomial-unit-test.patch
    + d/p/fix-procrustes-unit-test.patch

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 14 Oct 2017 06:09:31 -0300

praat (6.0.33-4) unstable; urgency=medium

  * d/p/fix-pca-unit-test.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 07 Oct 2017 10:28:26 -0300

praat (6.0.33-3) unstable; urgency=medium

  * d/t/run-tests:
    + Execute unit tests dwtest/*.praat
    + Show failed unit tests, if any, at the end of the script
  * d/rules: Use appropriate path for the praat program
  * d/clean: Delete generated files in dwtest/

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 06 Oct 2017 13:36:44 -0300

praat (6.0.33-2) unstable; urgency=medium

  * Run the unit tests provided in the upstream sources
  * d/p/logis-reg-test-typo.patch: New patch
  * d/clean: New file (remove files created by the unit tests)
  * d/control: Build-depends on xauth and xvfb

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 05 Oct 2017 16:04:47 -0300

praat (6.0.33-1) unstable; urgency=medium

  * New upstream version 6.0.33
  * d/control: Bump Standards-Version to 4.1.1 (no changes needed)
  * Add autopkgtest testsuite.
    For now, just a simple Praat script for reading a test WAV file is
    included.  Further unit test will be eventually included in the
    future.
  * d/rules: Exercice the autopkgtest scripts in dh_auto_test

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 03 Oct 2017 16:44:40 -0300

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
            Rafael Laboissiere <rafael@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libasound2-dev,
                libgtk2.0-dev,
-               xmlto,
-               libpulse-dev
-Standards-Version: 4.1.0
+               libpulse-dev,
+               xauth,
+               xvfb,
+               xmlto
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/praat.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/praat.git
 Homepage: http://www.praat.org
 
 Package: praat
-Architecture: any
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x alpha kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe ppc64 sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          oss-compat,

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,12 @@
                 s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifneq (,$(filter $(DEB_HOST_ARCH), i386))
+    export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
+endif
 
 %:
 	dh $@
@@ -80,5 +86,8 @@
 	dh_installchangelogs debian/What_s_new_.html
 	dh_auto_install -- INSTALL=
 
+override_dh_auto_test:
+	PRAAT=$(CURDIR)/praat debian/tests/run-tests
+
 get-orig-source:
 	uscan --verbose --force-download --repack-compression xz

## praat 6.0.40

=== dwsys/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # makefile for library "dwsys".
 # David Weenink 20171019
-# Paul Boersma 2017-08-08
+# Paul Boersma 2018-02-11
 
 include ../makefile.defs
 
@@ -16,7 +16,7 @@
 	NUMf2c.o NUMcblas.o NUMclapack.o NUMcomplex.o NUMfft_d.o NUMsort2.o \
 	NUMmathlib.o NUMstring.o \
 	Permutation.o Permutation_and_Index.o \
-	regularExp.o SimpleVector.o Simple_extensions.o \
+	regularExp.o SimpleVector.o \
 	SVD.o
 
 .PHONY: all clean

=== gram/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "gram"
-# Paul Boersma 2017-12-16
+# Paul Boersma 2018-04-24
 
 include ../makefile.defs
 
@@ -8,7 +8,8 @@
 OBJECTS = Network.o \
    OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
    OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o \
-   OTMulti_ex_metrics.o Layer.o Net.o
+   OTMulti_ex_metrics.o Layer.o Net.o \
+   NoulliGrid.o NoulliGridEditor.o
 
 .PHONY: all clean

=== debian/changelog ===
praat (6.0.40-1) unstable; urgency=medium

  * New upstream version 6.0.40
  * d/clean: Remove file test/fon/kanweg.nsp
  * d/t/run-tests: Exclude unit test test_TextGrid_extensions.praat

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 May 2018 03:55:36 -0300

praat (6.0.38-2) unstable; urgency=medium

  * d/control: Use Salsa.d.o URLs in Vcs-* fields

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 07 May 2018 07:10:03 -0300

praat (6.0.38-1) unstable; urgency=medium

  * New upstream version 6.0.38
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.1.4
  * d/p/fix-procrustes-unit-test.patch: New patch
  * d/rules:
    + Remove the obsolete get-orig-source target
    + Honor nocheck in DEB_BUILD_OPTIONS

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 08 Apr 2018 18:50:52 -0300

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                xauth,
                xvfb,
                xmlto
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/praat.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/praat.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/praat
+Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: http://www.praat.org
 
 Package: praat

=== debian/rules ===
--- 
+++ 
@@ -86,8 +86,7 @@
 	dh_installchangelogs debian/What_s_new_.html
 	dh_auto_install -- INSTALL=
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	PRAAT=$(CURDIR)/praat debian/tests/run-tests
-
-get-orig-source:
-	uscan --verbose --force-download --repack-compression xz
+	    PRAAT=$(CURDIR)/praat debian/tests/run-tests
+endif
